﻿namespace ViewModel
{
    public class StatusBarViewModel : ViewModelBase
    {
        public StatusBarViewModel()
        {
            if (IsInDesignMode)
            {
                StatusText = "Test zur Designtime";
                StatusProgress = 60;
            }
        }

        private string _statusText;
        public string StatusText
        {
            get
            {
                return _statusText;
            }
            set
            {
                _statusText = value;
                RaisePropertyChanged();
            }
        }

        private double _statusProgress;
        public double StatusProgress
        {
            get
            {
                return _statusProgress;
            }
            set
            {
                _statusProgress = value;
                RaisePropertyChanged();
            }
        }
    }
}

