﻿namespace ViewModel
{
    public class WorkerViewModel : ViewModelBase
    {
        private StatusBarViewModel _statusbar;

        public WorkerViewModel()
        {
        }

        public WorkerViewModel(StatusBarViewModel statusbar)
        {
            _statusbar = statusbar;
        }

        private double _newProgressToSet;
        public double NewProgressToSet
        {
            get
            {
                return _newProgressToSet;
            }
            set
            {
                _newProgressToSet = value;
                RaisePropertyChanged();
                if (_statusbar != null)
                    _statusbar.StatusProgress = value;
            }
        }

        private string _newStatusTextToSet;
        public string NewStatusTextToSet
        {
            get
            {
                return _newStatusTextToSet;
            }
            set
            {
                _newStatusTextToSet = value;
                RaisePropertyChanged();
                if (_statusbar != null)
                    _statusbar.StatusText = value;
            }
        }
    }
}
